import unittest

import pytest
from promptflow.connections import CustomConnection

from tool_use.tools.openai_tool_use import openai_tool_use


@pytest.fixture
def my_custom_connection() -> CustomConnection:
    my_custom_connection = CustomConnection(
        {
            "api-key": "my-api-key",
            "api-secret": "my-api-secret",
            "api-url": "my-api-url",
        }
    )
    return my_custom_connection


class TestTool:
    def test_openai_tool_use(self, my_custom_connection):
        result = openai_tool_use(my_custom_connection, input_text="Microsoft")
        assert result == "Hello Microsoft"


# Run the unit tests
if __name__ == "__main__":
    unittest.main()
